[arrayfire] 04/06: Update autopkgtest testsuite: add script building and running the upstream testsuite against the installed packages.

Ghislain Vaillant ghisvail-guest at moszumanska.debian.org
Tue Dec 8 11:55:39 UTC 2015


This is an automated email from the git hooks/post-receive script.

ghisvail-guest pushed a commit to annotated tag debian/3.2.1+dfsg1-1
in repository arrayfire.

commit 90c83380928115796289d46a7121421e1a78dcaf
Author: Ghislain Antony Vaillant <ghisvail at gmail.com>
Date:   Mon Dec 7 10:52:55 2015 +0000

    Update autopkgtest testsuite: add script building and running the upstream
    testsuite against the installed packages.
---
 debian/tests/build-testsuite | 24 ++++++++++++++++++++++++
 debian/tests/control         |  7 +++++++
 2 files changed, 31 insertions(+)

diff --git a/debian/tests/build-testsuite b/debian/tests/build-testsuite
new file mode 100755
index 0000000..5e68b0c
--- /dev/null
+++ b/debian/tests/build-testsuite
@@ -0,0 +1,24 @@
+#!/bin/sh
+# Copyright 2015 Ghislain Antony Vaillant
+#
+# This file is part of the autopkgtest testsuite for ArrayFire.
+
+set -e
+
+# Presence of $ADTTMP implies that someone will handle cleanup for us, so we
+# can avoid duplicating the effort (signal handling, etc.) here.
+if [ -z "$ADTTMP" ]
+then
+	echo "Required envvar \"$ADTTMP\"is not set" >&2
+	exit 1
+fi
+
+SRCDIR=`pwd`
+cd "$ADTTMP"
+cmake "$SRCDIR/test"
+echo "configure: OK"
+make
+echo "build: OK"
+CTEST_OUTPUT_ON_FAILURE=1
+ctest --force-new-ctest-process -R "cpu" -E "large|dense"
+echo "run: OK"
diff --git a/debian/tests/control b/debian/tests/control
index 6793bdb..66018f6 100644
--- a/debian/tests/control
+++ b/debian/tests/control
@@ -4,3 +4,10 @@ Depends: build-essential,
          libarrayfire-cpu-dev,
          libarrayfire-doc
 Restrictions: allow-stderr
+
+Tests: build-testsuite
+Depends: build-essential,
+         cmake,
+         libarrayfire-cpu-dev,
+         libgtest-dev
+Restrictions: allow-stderr

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/debian-science/packages/arrayfire.git



More information about the debian-science-commits mailing list